@ECHO OFF
REM updateclientconfig.bat
REM Used as a wrapper for ant code updateclientconfig.xml. Code located SAS delivered version of at and uses it to locate and update config.ini files that reference unsecure jars 

set /p SASHOME= Enter SASHome location:

set SASHOMETEMP=%SASHOME:"=%
IF "!SASHOMETEMP:~-1!"=="\" SET SASHOME=!SASHOMETEMP:~,-1!

echo SASHOME= %SASHOMETEMP%

REM Locate the SAS delivered JRE for use:
findstr /b /c:"PRIVATEJREHOME" "%SASHOMETEMP%\sassw.config" > privatejre_temp.txt
set /p PRIVATEJRETEMP= < privatejre_temp.txt
set PRIVATEJRE=%PRIVATEJRETEMP:~15%
del privatejre_temp.txt

REM Locate the SAS delivered JRE for use:
echo Searching for SASDeploymentManager in this SASHome location %SASHOMETEMP%
for /d %%a in (
    "%SASHOMETEMP%\SASDeploymentManager\9.4\products\deploywiz*"
) do (

	echo Using %%~fa\deploywiz\ant-launcher.jar to launch ant scripts
	REM execute ant script
	"%PRIVATEJRE%" -jar "%%~fa\deploywiz\ant-launcher.jar" -buildfile updateclientconfig.xml -DSASHOME=%SASHOME%
	)
	cmd /k
	