@ECHO OFF
REM updateconfigpicklists.bat
REM Used as a wrapper for ant code updateconfigpicklists.xml. Code located SAS delivered version of at and uses it to locate and update product specific picklists that reference unsecure jars

set /p SASHOME= Enter SASHome location:


set /p SCANFORCONFIG= Would you like to automatically search for SAS Config Direcories [auto] or manually specify a non-standard SAS Config Directory [manual]
IF "%SCANFORCONFIG%" == "manual" ( set /p SASCONFIG= Enter SASCONFIG location: )

set SASHOMETEMP=%SASHOME:"=%
IF "!SASHOMETEMP:~-1!"=="\" SET SASHOME=!SASHOMETEMP:~,-1!
REM set SASHOME="%SASHOME%"
echo SASHOME= %SASHOMETEMP%

REM Locate the SAS delivered JRE for use:
findstr /b /c:"PRIVATEJREHOME" "%SASHOMETEMP%\sassw.config" > privatejre_temp.txt
set /p PRIVATEJRETEMP= < privatejre_temp.txt
set PRIVATEJRE=%PRIVATEJRETEMP:~15%
del privatejre_temp.txt

REM Locate the SAS delivered version of ANT for use:
echo Searching for SASDeploymentManager in this SASHome location %SASHOMETEMP%

for /d %%a in (
    "%SASHOMETEMP%\SASDeploymentManager\9.4\products\deploywiz*"
) do (
	REM echo %%~fa
	echo Using %%~fa\deploywiz\ant-launcher.jar to launch ant scripts
	REM execute ant script
	
	IF "%SCANFORCONFIG%" == "auto" (
		"%PRIVATEJRE%" -jar "%%~fa\deploywiz\ant-launcher.jar" -buildfile updateconfigpicklists.xml -DSASHOME=%SASHOME%
		) else (
				IF "%SCANFORCONFIG%" == "manual"  (
					"%PRIVATEJRE%" -jar "%%~fa\deploywiz\ant-launcher.jar" -buildfile updateconfigpicklists.xml -DSASHOME=%SASHOME% -DSASCONFIG=%SASCONFIG%
				) else ( echo Invalid Entry: Please enter 'auto' or 'manual')
					
		)
				
)
	cmd /k